
class Level(object):
    index = 0
    
    num_segments = 7
    num_cannons = 0
    blimp_density = 0

    def __init__(self, **kw):
        for k,v in kw.iteritems():
            if k not in Level.__dict__:
                raise NameError, k
        self.__dict__.update(kw)
        self.index = Level.index
        Level.index += 1

levels = {}

levels[0] = Level()

levels[1] = Level(
    num_segments = 10,
    )

levels[2] = Level(
    num_segments = 12,
    blimp_density = 5,
    )

levels[3] = Level(
    num_segments = 14,
    blimp_density = 5,
    num_cannons = 1,
    )

levels[4] = Level(
    num_segments = 16,
    blimp_density = 7,
    num_cannons = 2,
    )

levels[5] = Level(
    num_segments = 18,
    blimp_density = 10,
    num_cannons = 3,
    )

levels[6] = Level(
    num_segments = 22,
    blimp_density = 12,
    num_cannons = 4,
    )

levels[7] = Level(
    num_segments = 24,
    blimp_density = 13,
    num_cannons = 5,
    )

levels[8] = Level(
    num_segments = 26,
    blimp_density = 14,
    num_cannons = 6,
    )

levels[9] = Level(
    num_segments = 28,
    blimp_density = 15,
    num_cannons = 6,
    )

levels[10] = Level(
    num_segments = 30,
    blimp_density = 16,
    num_cannons = 8,
    )

tutorial = [
    "Press ESC to exit this tutorial",
    "Left arrow controls the left thruster and right arrow the right thruster",
    "Push both thrusters at once to take off and fly straight",
    "Gravity will turn the nose of craft down so keep it balanced",
    "The amount of pressure affects your thrust and turning rate",
    "Press the left shift to quickly burn fuel into more pressure",
    "Overburn is less economic than normal fuel consumption",
    "Press and hold the space bar for an air brake",
    "Using the brake drains your pressure, so be conservative",
    "The brake is especially handy for landing",
    "In order to land, the ship has to be upright and moving slowly",
    "Up arrow fires the cannon, but be careful of the recoil",
    "Use the air brake when firing the cannon for more accuracy",
    "The aim of the real levels is to land on the second pad",
    "The less fuel and time you use, the higher you will score",
    "Shooting blimps and especially cannons gives you a bonus",
    ]

level_names = ["Tutorial"] + [("Level %02i" % i) for i in range(1,11)]
