
__all__ = [
    "Score",
    "load_data",
    "save_data",
    ]

import pickle, sys, traceback
from os.path import join

class Score(object):
    def __init__(self, score, time, fuel):
        self.score = score
        self.time = time
        self.fuel = fuel

class SavedData(object):
    def __init__(self):
        self.unlocked = [0,1]
        self.scores = {}
        self.reverse = False
        
def load_data():
    fn = join(sys.path[0], "save.dat")
    try:
        f = open(fn, "rb")
        data = pickle.load(f)
        f.close()
    except:
        data = SavedData()
    return data

def save_data(data):
    fn = join(sys.path[0], "save.dat")
    f = open(fn, "wb")
    pickle.dump(data, f, 1)
    f.close()
